Debian Bug report logs - #316346
sox: non working -x

version graph

Package: sox; Maintainer for sox is Pascal Giard <pascal@debian.org>; Source for sox is src:sox.

Reported by: sox@seufer.de

Date: Thu, 30 Jun 2005 10:03:02 UTC

Severity: normal

Found in version 12.17.7-2

Fixed in versions sox/12.17.7-3, 12.17.9-1

Done: "Pascal Giard" <evilynux@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#316346; Package sox. Full text and rfc822 format available.

Acknowledgement sent to sox@seufer.de:
New Bug report received and forwarded. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sox@seufer.de
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sox: non working -x
Date: Thu, 30 Jun 2005 11:46:30 +0200
Package: sox
Version: 12.17.7-2
Severity: normal

With version 12.17.7 of sox the "-x" command line switch does not
work. This is fixed in version 12.17.8.

Oliver
-- System Information
Debian Release: 3.1
Kernel Version: Linux xxxx 2.4.27-2-686-smp #1 SMP Mon May 16 16:55:31 JST 2005 i686 GNU/Linux



Information forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#316346; Package sox. Full text and rfc822 format available.

Acknowledgement sent to sox@seufer.de:
Extra info received and forwarded to list. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #10 received at 316346@bugs.debian.org (full text, mbox):

From: sox@seufer.de
To: 316346@bugs.debian.org
Subject: Bug#316346: sox: non working -x
Date: Mon, 4 Jul 2005 17:31:40 +0200
[Message part 1 (text/plain, inline)]
Package: sox
Version: 12.17.7-2
Severity: normal
Tags: patch

Hello,

here is the patch to get the "-x" command line switch working.

Oliver
[sox-12.17.7-x.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#316346; Package sox. Full text and rfc822 format available.

Acknowledgement sent to g�nter geiger <geiger@xdv.org>:
Extra info received and forwarded to list. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #15 received at 316346@bugs.debian.org (full text, mbox):

From: günter geiger <geiger@xdv.org>
To: <sox@seufer.de>, <316346@bugs.debian.org>
Subject: Re: Bug#316346: sox: non working -x
Date: Mon, 4 Jul 2005 22:56:18 +0200 (CEST)


Hi,

thanks, I am going to include this in my next upload.

Greetings,

guenter

On Mon, 4 Jul 2005 sox@seufer.de wrote:

> Package: sox
> Version: 12.17.7-2
> Severity: normal
> Tags: patch
>
> Hello,
>
> here is the patch to get the "-x" command line switch working.
>
> Oliver
>




Information forwarded to debian-bugs-dist@lists.debian.org, Guenter Geiger (Debian/GNU) <geiger@debian.org>:
Bug#316346; Package sox. Full text and rfc822 format available.

Acknowledgement sent to debian@Seufer.DE:
Extra info received and forwarded to list. Copy sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>. Full text and rfc822 format available.

Message #20 received at 316346@bugs.debian.org (full text, mbox):

From: debian@Seufer.DE
To: 316346@bugs.debian.org
Subject: libstdc++2.9-glibc2.1: Do not remove in Sarge!
Date: Wed, 13 Jul 2005 15:32:32 +0200
Frank Lichtenheld wrote:
> Wouldn't it be enough to just use the package from woody? I doesn't see
> anything in the depends that would hinder using it in sarge.
For the moment it is possible to use "oldstable", but oldstable will be
removed and I don't think that the software which depends on
libstdc++-libc6.1-1.so.2 will be updated. So what to do then? SuSE still
provides the "libstdc++-libc6.1-1.so.2" as a "compat" rpm in there 9.3
release.
We have to switch back to SuSE if there is no package provided with
Debian.

Greatings

Oliver



Reply sent to Guenter Geiger (Debian/GNU) <geiger@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to sox@seufer.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 316346-close@bugs.debian.org (full text, mbox):

From: Guenter Geiger (Debian/GNU) <geiger@debian.org>
To: 316346-close@bugs.debian.org
Subject: Bug#316346: fixed in sox 12.17.7-3
Date: Fri, 15 Jul 2005 13:17:03 -0400
Source: sox
Source-Version: 12.17.7-3

We believe that the bug you reported is fixed in the latest version of
sox, which is due to be installed in the Debian FTP archive:

sox-dev_12.17.7-3_i386.deb
  to pool/main/s/sox/sox-dev_12.17.7-3_i386.deb
sox_12.17.7-3.diff.gz
  to pool/main/s/sox/sox_12.17.7-3.diff.gz
sox_12.17.7-3.dsc
  to pool/main/s/sox/sox_12.17.7-3.dsc
sox_12.17.7-3_i386.deb
  to pool/main/s/sox/sox_12.17.7-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guenter Geiger (Debian/GNU) <geiger@debian.org> (supplier of updated sox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Jul 2005 19:07:30 +0200
Source: sox
Binary: sox-dev sox
Architecture: source i386
Version: 12.17.7-3
Distribution: unstable
Urgency: low
Maintainer: Guenter Geiger (Debian/GNU) <geiger@debian.org>
Changed-By: Guenter Geiger (Debian/GNU) <geiger@debian.org>
Description: 
 sox        - A universal sound sample translator
 sox-dev    - Soundfile library from sox
Closes: 162942 254846 272080 302819 307661 313206 316346
Changes: 
 sox (12.17.7-3) unstable; urgency=low
 .
   * fixed disk full problem (0_eof.patch) (closes: #313206)
   * sox-dev replaces earlier sox versions, upgrading should be save
     (closes: #162942)
   * sox-dev includes st.h, st_i.h is only meant for sox internal use
     (closes: #254846)
   * Problem with rec script fixed upstream (closes: #272080)
   * Added soxexam.1 manpage (closes: #307661)
   * Applied patch for fixing -x behaviour (closes: #316346)
   * Applied manpage typo patch (closes: #302819)
   * bumped standard version to 3.6.2
Files: 
 6b05545d9204f40075bf854b124c4f9c 609 sound optional sox_12.17.7-3.dsc
 23b36c99f86ba5b24e54fd176991f78a 9977 sound optional sox_12.17.7-3.diff.gz
 c83eb20a6aea4e66d5ffd8d3280f1990 288876 sound optional sox_12.17.7-3_i386.deb
 9a58c16293a7fb14164e1368d61ac8cb 187258 devel optional sox-dev_12.17.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC1+3Q1pbKhmC2uVgRApO/AJ0dkg/l+LFjLIPDlIlQ8u1FQo9hmQCdFbRO
mtfgQ9bkTyGtpHlCya06u7I=
=Qagh
-----END PGP SIGNATURE-----




Reply sent to "Pascal Giard" <evilynux@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to sox@seufer.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 316346-done@bugs.debian.org (full text, mbox):

From: "Pascal Giard" <evilynux@gmail.com>
To: 316346-done@bugs.debian.org
Subject: Current package doesn't have this bug
Date: Fri, 22 Dec 2006 02:37:47 -0500
Version: 12.17.9-1

-Pascal
-- 
Homepage (http://organact.mine.nu)
Debian GNU/Linux (http://www.debian.org)
École de technologie supérieure (http://www.etsmtl.ca)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:22:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:41:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.